Bug 998401 (CVE-2013-4247)

Summary: CVE-2013-4247 kernel: cifs: off-by-one bug in build_unc_path_to_root
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, aquini, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jkurik, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mcressma, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130531,reported=20130627,source=git,cvss2=4.6/AV:A/AC:H/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected,cwe=CWE-193[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 01:18:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 979015    

Description Prasad J Pandit 2013-08-19 04:34:33 EDT
Linux kernel built with the Common Internet File System (CONFIG_CIFS) support along with a feature to access Distributed File Systems (CONFIG_CIFS_DFS_UPCALL), is vulnerable to a memory corruption flaw caused by writing one byte past an allocated memory area. It occurs while mounting a DFS share wherein the server provides DFS referral names of certain length. The memory corruption leads to an unresponsive kernel and subsequent crash resulting in Denial of Service.

An user/program able to mount a file system could use this flaw to crash the kernel resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/1fc29bacedeabb278080e31bb9c1ecb49f143c3b

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/08/14/8
Comment 1 Prasad J Pandit 2013-08-19 04:37:48 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.